Main Page Widgets glibmm Namespaces Book

# Glib::Value< void * > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< void * >:

[legend]
List of all members.

## Public Types
typedef void* | CppType
typedef gpointer | CType
## Public Member Functions
void | set (void* data)
void* | get () const
## Static Public Member Functions
static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< void * >

## Member Typedef Documentation

typedef void* Glib::Value<void*>::CppType

typedef gpointer Glib::Value<void*>::CType

## Member Function Documentation

static GType Glib::Value<void*>::value_type | ( |  | ) | `[static]`

void Glib::Value<void*>::set | ( | void * | data | ) |

void* Glib::Value<void*>::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h